Subject: Re: [PATCH v2 10/23] pack-bitmap-write.c: select pseudo-merge commits

From: Taylor Blau <[email-masked]>
Date: Mon, 6 May 2024 16:05:38 -0400

On Mon, May 06, 2024 at 01:53:07PM +0200, Patrick Steinhardt wrote:
> I think the same is true for most of the other parts of the docs here,
> as well. We explain what those configs do, but basically leave the
> reader on their own to figure out what the real-world consequences are
> and why they would even want to configure those in the first place.

I think that's a fair point, and I'm in the same boat as you are to a
large extent. I have an idea of what these settings do and why you
might want to set them, but since there is no real-world deployment of
this series, I don't have any solid guidelines on when you
should/shouldn't set these settings.

My hope is that there are enough knobs to tweak here that anyone
deploying this feature could find a configuration that works for them.

But I'll try and add some general guidance on why you would want to
change certain settings, etc.

Thanks,
Taylor